CUPTI (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.36. CUpti_ActivityModule Struct Reference

## [CUPTI Activity API]

This activity record represents a CUDA module (CUPTI_ACTIVITY_KIND_MODULE). This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profile frameworks built on top of CUPTI that collect module data from the module callback may choose to use this type to store the collected module data.

### Public Variables

uint32_t contextId
const void * cubin
uint32_t cubinSize
uint32_t id
CUpti_ActivityKind kind
uint32_t pad

### Variables

uint32_t CUpti_ActivityModule::contextId [inherited]

  The ID of the context where the module is loaded.

const void * CUpti_ActivityModule::cubin [inherited]

  The pointer to cubin.

uint32_t CUpti_ActivityModule::cubinSize [inherited]

  The cubin size.

uint32_t CUpti_ActivityModule::id [inherited]

  The module ID.

CUpti_ActivityKind CUpti_ActivityModule::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_MODULE.

uint32_t CUpti_ActivityModule::pad [inherited]

  Undefined. Reserved for internal use.